Bug 1080201 (perl-Catalyst-View-GD) - Review Request: perl-Catalyst-View-GD - A Catalyst View for GD images
Summary: Review Request: perl-Catalyst-View-GD - A Catalyst View for GD images
Keywords:
Status: CLOSED WONTFIX
Alias: perl-Catalyst-View-GD
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: perl-Test-Image-GD
Blocks: naemon
TreeView+ depends on / blocked
 
Reported: 2014-03-24 21:43 UTC by Sven Nierlein
Modified: 2015-06-10 14:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-10 14:14:48 UTC
psabata: fedora-review+


Attachments (Terms of Use)

Description Sven Nierlein 2014-03-24 21:43:53 UTC
Spec URL: http://nierlein.com/fedora/perl-Catalyst-View-GD.spec
SRPM URL: http://nierlein.com/fedora/perl-Catalyst-View-GD-0.01-1.fc21.src.rpm
Description:
Catalyst::View::GD is a Catalyst View for GD images

Fedora Account System Username: sni

Successful koji build:
not yet, build requires perl-Test-Image-GD from #1079749

This is one of my first review requests, so i am asking hereby for a sponsor. 

This perl module is required to proceed in #1069988
Related review requests: #1079718, #1079732, #1079733, #1079745, #1079749, #1079751, #1079753

Comment 1 Petr Šabata 2014-03-28 13:27:15 UTC
I'll review your package submissions and possibly sponsor you, too :)

Comment 2 Sven Nierlein 2014-04-06 09:52:32 UTC
I updated the spec file according to the comments of the other related bugs
and uploaded a new spec file and source rpm here:
http://nierlein.com/fedora/2014-04-06/perl-Catalyst-View-GD.spec
http://nierlein.com/fedora/2014-04-06/perl-Catalyst-View-GD-0.01-1.fc21.noarch.rpm

Comment 4 Sven Nierlein 2014-04-21 13:31:50 UTC
new spec file:
http://nierlein.com/fedora/2014-04-21/perl-Catalyst-View-GD.spec

i only changed the release number.

Comment 5 Sven Nierlein 2014-05-20 17:00:52 UTC
BRs, Requires and Url updated according to cpanspec.

new files are here:
http://nierlein.com/fedora/2014-05-20/perl-Catalyst-View-GD.spec
http://nierlein.com/fedora/2014-05-20/perl-Catalyst-View-GD-0.01-3.fc21.src.rpm

Comment 6 Petr Šabata 2014-05-21 08:22:29 UTC
Ok, you're missing some buildtime dependencies...

Those are required by the test suite itself:
perl(base)
perl(Catalyst)
perl(Catalyst::Test)
perl(FindBin)
perl(File::Spec)
perl(lib)
perl(strict)
perl(warnings)

And in addition to that, those are required by the tested code:
perl(Catalyst::Exception)
perl(Catalyst::View)
perl(NEXT)
perl(Scalar::Util)

And you should remove Catalyst::Runtime.  This module isn't directly used anywhere.  Require the specific modules from the suite which I listed above instead.  This prevents future FTBFS breakage if the modules move to a different bundle.

Also, drop the Module::Build dependency.  You're using Makefile.PL which doesn't need it.

And finally drop the explicit GD runtime dependency (line 19).  This is automatically discovered and added by rpmbuild.

The rest of the spec looks good and the license is fine too.

Comment 7 Sven Nierlein 2014-05-24 22:18:30 UTC
Not sure if i understood you correctly, but here are the new files:

http://nierlein.com/fedora/2014-05-24/perl-Catalyst-View-GD.spec
http://nierlein.com/fedora/2014-05-24/perl-Catalyst-View-GD-0.01-4.fc21.src.rpm

Comment 8 Petr Šabata 2015-05-13 08:14:22 UTC
Apologies for ignoring this for so long.

I've reviewed your changes and I see you've done everything I asked.  I'm approving the package.

Comment 9 Sven Nierlein 2015-06-10 14:14:48 UTC
I am not using this modules anymore, so i will close this request. Thanks anyway.


Note You need to log in before you can comment on or make changes to this bug.